# TODO
# - subpackages for various firmwares?
%define		rel	2
%define		ver	20180507
Summary:	Firmware files used by the Linux kernel
Summary(pl.UTF-8):	Pliki firmware'u używane przez jądro Linuksa
Name:		linux-firmware
Version:	%{ver}
Release:	%{rel}
License:	GPL+ and GPL v2+ and MIT and Redistributable, no modification permitted
Group:		Base/Kernel
Source0:	https://src.fedoraproject.org/repo/pkgs/linux-firmware/%{name}-%{version}.tar.xz/sha512/55f5732d0d38727821fe676b1fa1531a91d30ffc91a4f5de6adadd985d7771b8a4757b6230f9228cf5371067c10b6191bfa5d7a2c5c79b696c4e1888dd6b1ec2/linux-firmware-%{version}.tar.xz
# Source0-md5:	838f105f4982e549a2f5bc911c59f334
URL:		https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/
Obsoletes:	microcode-data-amd
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes firmware files required for some devices to
operate.

%description -l pl.UTF-8
Ten pakiet zawiera pliki firmware'u wymagane do działania niektórych
urządzeń.

%package -n amd-gpu-firmware
Summary:	Firmware for AMD/ATI graphics chips
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n amd-gpu-firmware
Firmware for AMD/ATI graphics chips

%package -n atheros-firmware
Summary:	Firmware for Atheros wireless and Bluetooth cards
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n atheros-firmware
Firmware for Atheros wireless and Bluetooth cards

%package -n bnx2-firmware
Summary:	Firmware for Broadcom NetXtremeII
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n bnx2-firmware
Firmware for Broadcom NetXtremeII

%package -n bnx2x-firmware
Summary:	Firmware for Broadcom NetXtreme II 10Gb
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n bnx2x-firmware
Firmware for Broadcom NetXtreme II 10Gb

%package -n brcm-firmware
Summary:	Firmware for Broadcom 802.11 wireless cards
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n brcm-firmware
Firmware for Broadcom 802.11 wireless cards

%package -n cavium-firmware
Summary:	Firmware for Cavium crypto and Ethernet adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n cavium-firmware
Firmware for Cavium crypto and Ethernet adapters

%package -n chelsio-firmware
Summary:	Firmware for Chelsio T3/T4/T5/T6
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n chelsio-firmware
Firmware for Chelsio T3/T4/T5/T6

%package -n intel-sound-firmware
Summary:	Firmware for Intel sound cards
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n intel-sound-firmware
Firmware for Intel sound cards

%package -n intel-bluetooth-firmware
Summary:	Firmware for Intel Bluetooth adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n intel-bluetooth-firmware
Firmware for Intel Bluetooth adapters

%package -n iwl100-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 100 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl100-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux to support the iwl100 hardware. Usage of the
firmware is subject to the terms and conditions contained inside the
provided LICENSE file. Please read it carefully.

%package -n iwl105-firmware
Summary:	Firmware for Intel(R) Centrino Wireless-N 105 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl105-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux to support the iwl105 hardware. Usage of the
firmware is subject to the terms and conditions contained inside the
provided LICENSE file. Please read it carefully.

%package -n iwl135-firmware
Summary:	Firmware for Intel(R) Centrino Wireless-N 135 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl135-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux to support the iwl135 hardware. Usage of the
firmware is subject to the terms and conditions contained inside the
provided LICENSE file. Please read it carefully.

%package -n iwl1000-firmware
Summary:	Firmware for Intel(R) PRO/Wireless 1000 B/G/N network adaptors
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl1000-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux to support the iwl1000 hardware. Usage of the
firmware is subject to the terms and conditions contained inside the
provided LICENSE file. Please read it carefully.

%package -n iwl2000-firmware
Summary:	Firmware for Intel(R) Centrino Wireless-N 2000 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl2000-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux to support the iwl2000 hardware. Usage of the
firmware is subject to the terms and conditions contained inside the
provided LICENSE file. Please read it carefully.

%package -n iwl2030-firmware
Summary:	Firmware for Intel(R) Centrino Wireless-N 2030 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl2030-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux to support the iwl2030 hardware. Usage of the
firmware is subject to the terms and conditions contained inside the
provided LICENSE file. Please read it carefully.

%package -n iwl3160-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 3160 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl3160-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux. Usage of the firmware is subject to the terms and
conditions contained inside the provided LICENSE file. Please read it
carefully.

%package -n iwl3945-firmware
Summary:	Firmware for Intel(R) PRO/Wireless 3945 A/B/G network adaptors
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl3945-firmware
This package contains the firmware required by the iwl3945 driver for
Linux. Usage of the firmware is subject to the terms and conditions
contained inside the provided LICENSE file. Please read it carefully.

%package -n iwl4965-firmware
Summary:	Firmware for Intel(R) PRO/Wireless 4965 A/G/N network adaptors
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl4965-firmware
This package contains the firmware required by the iwl4965 driver for
Linux. Usage of the firmware is subject to the terms and conditions
contained inside the provided LICENSE file. Please read it carefully.

%package -n iwl5000-firmware
Summary:	Firmware for Intel(R) PRO/Wireless 5000 A/G/N network adaptors
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl5000-firmware
This package contains the firmware required by the iwl5000 driver for
Linux. Usage of the firmware is subject to the terms and conditions
contained inside the provided LICENSE file. Please read it carefully.

%package -n iwl5150-firmware
Summary:	Firmware for Intel(R) PRO/Wireless 5150 A/G/N network adaptors
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl5150-firmware
This package contains the firmware required by the iwl5150 driver for
Linux. Usage of the firmware is subject to the terms and conditions
contained inside the provided LICENSE file. Please read it carefully.

%package -n iwl6000-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 6000 AGN Adapter
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl6000-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux. Usage of the firmware is subject to the terms and
conditions contained inside the provided LICENSE file. Please read it
carefully.

%package -n iwl6000g2a-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 6005 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl6000g2a-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux. Usage of the firmware is subject to the terms and
conditions contained inside the provided LICENSE file. Please read it
carefully.

%package -n iwl6000g2b-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 6030 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl6000g2b-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux. Usage of the firmware is subject to the terms and
conditions contained inside the provided LICENSE file. Please read it
carefully.

%package -n iwl6050-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 6050 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl6050-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux. Usage of the firmware is subject to the terms and
conditions contained inside the provided LICENSE file. Please read it
carefully.

%package -n iwl7260-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 7260 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl7260-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux. Usage of the firmware is subject to the terms and
conditions contained inside the provided LICENSE file. Please read it
carefully.

%package -n iwl8000C-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 8000C Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl8000C-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux. Usage of the firmware is subject to the terms and
conditions contained inside the provided LICENSE file. Please read it
carefully.

%package -n iwl8265-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 8265 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl8265-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux. Usage of the firmware is subject to the terms and
conditions contained inside the provided LICENSE file. Please read it
carefully.

%package -n iwl9000-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 9000 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl9000-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux. Usage of the firmware is subject to the terms and
conditions contained inside the provided LICENSE file. Please read it
carefully.

%package -n iwl9260-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link 9260 Series Adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n iwl9260-firmware
This package contains the firmware required by the Intel wireless
drivers for Linux. Usage of the firmware is subject to the terms and
conditions contained inside the provided LICENSE file. Please read it
carefully.

%package -n libertas-firmware
Summary:	Firmware for Marvell wirelsess network cards
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n libertas-firmware
Firmware for Marvell wireless network cards

%package -n netronome-firmware
Summary:	Firmware for Netronome Smart NICs
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n netronome-firmware
Firmware for Netronome Smart NICs

%package -n nvidia-gpu-firmware
Summary:	Firmware for NVIDIA graphics chips
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n nvidia-gpu-firmware
Firmware for NVIDIA graphics chips

%package -n qlogic-firmware
Summary:	Firmware for QLogic adapters
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n qlogic-firmware
This package contains the binary firmware for QLogic Infiniband,
SCSI, Fibre Channel/FCoE adapters and Converged Network Adapters

%package -n ti-connectivity-firmware
Summary:	Firmware for Texas Instruments wireless network chips
License:	Redistributable, no modification permitted
Group:		Base/Kernel

%description -n ti-connectivity-firmware
Firmware for Texas Instruments wireless network chips

%define	no_install_post_strip	1

%prep
%setup -qc
mv linux-firmware-*/* .
rmdir linux-firmware-*

# Remove source files we don't need to install
%{__rm} */*.asm dsp56k/{Makefile,concat-bootstrap.pl} isci/{Makefile,README,*.[ch]}
%{__rm} -r carl9170fw usbdux
%{__rm} Makefile configure

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware
cp -a . $RPM_BUILD_ROOT/lib/firmware
%{__rm} $RPM_BUILD_ROOT/lib/firmware/{GPL-2,GPL-3,LICENCE.*,LICENSE.*,README,TDA7706_OM_v*_boot.txt,WHENCE,check_whence.py}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc WHENCE LICENCE.* LICENSE.* README TDA7706_OM_v*_boot.txt
/lib/firmware/3com
/lib/firmware/a300_pfp.fw
/lib/firmware/a300_pm4.fw
/lib/firmware/acenic
/lib/firmware/adaptec
/lib/firmware/advansys
/lib/firmware/agere_*_fw.bin
/lib/firmware/amd-ucode
/lib/firmware/as102_data1_st.hex
/lib/firmware/as102_data2_st.hex
/lib/firmware/atmel
/lib/firmware/atmsar11.fw
/lib/firmware/atusb
/lib/firmware/av7110
/lib/firmware/carl9170-1.fw
/lib/firmware/cis
/lib/firmware/cmmb_*_12mhz.inp
/lib/firmware/cpia2
/lib/firmware/ctefx.bin
/lib/firmware/ctspeq.bin
/lib/firmware/dabusb
/lib/firmware/dsp56k
/lib/firmware/dvb-fe-xc4000-*.fw
/lib/firmware/dvb-fe-xc5000c-*.fw
/lib/firmware/dvb-fe-xc5000-*.fw
/lib/firmware/dvb_nova_12mhz*.inp
/lib/firmware/dvb-usb-dib0700-*.fw
/lib/firmware/dvb-usb-it9135-01.fw
/lib/firmware/dvb-usb-it9135-02.fw
/lib/firmware/dvb-usb-terratec-h5-drxk.fw
/lib/firmware/e100
/lib/firmware/edgeport
/lib/firmware/emi26
/lib/firmware/emi62
/lib/firmware/ene-ub6250
/lib/firmware/ess
/lib/firmware/f2255usb.bin
/lib/firmware/go7007
/lib/firmware/hfi1_dc8051.fw
/lib/firmware/hfi1_fabric.fw
/lib/firmware/hfi1_pcie.fw
/lib/firmware/hfi1_sbus.fw
/lib/firmware/htc_7010.fw
/lib/firmware/htc_9271.fw
/lib/firmware/i2400m-fw-usb-*.sbcf
/lib/firmware/i6050-fw-usb-*.sbcf
/lib/firmware/i915
/lib/firmware/imx
%dir /lib/firmware/intel
/lib/firmware/intel/ipu3-fw.bin
/lib/firmware/intel/irci_irci_ecr-master_20161208_0213_20170112_1500.bin
/lib/firmware/intelliport2.bin
/lib/firmware/isci
/lib/firmware/isdbt_*.inp
/lib/firmware/kaweth
/lib/firmware/keyspan
/lib/firmware/keyspan_pda
/lib/firmware/korg/k1212.dsp
/lib/firmware/lgs8g75.fw
/lib/firmware/matrox
/lib/firmware/mellanox
/lib/firmware/moxa
/lib/firmware/mt7601u.bin
/lib/firmware/mt7650.bin
/lib/firmware/mt7662*.bin
/lib/firmware/mts_*.fw
/lib/firmware/myri10ge_*.dat
/lib/firmware/myricom
/lib/firmware/ositech
/lib/firmware/phanfw.bin
/lib/firmware/qat_895xcc.bin
/lib/firmware/qat_895xcc_mmp.bin
/lib/firmware/qat_c3xxx.bin
/lib/firmware/qat_c3xxx_mmp.bin
/lib/firmware/qat_c62x.bin
/lib/firmware/qat_c62x_mmp.bin
/lib/firmware/qat_mmp.bin
/lib/firmware/qca
/lib/firmware/qcom
/lib/firmware/r8a779x_usb3_v1.dlmem
/lib/firmware/r8a779x_usb3_v2.dlmem
/lib/firmware/r8a779x_usb3_v3.dlmem
%dir /lib/firmware/rockchip
/lib/firmware/rockchip/dptx.bin
/lib/firmware/rp2.fw
/lib/firmware/rsi
/lib/firmware/rsi_91x.fw
/lib/firmware/rt2561.bin
/lib/firmware/rt2561s.bin
/lib/firmware/rt2661.bin
/lib/firmware/rt2860.bin
/lib/firmware/rt2870.bin
/lib/firmware/rt3070.bin
/lib/firmware/rt3071.bin
/lib/firmware/rt3090.bin
/lib/firmware/rt3290.bin
/lib/firmware/rt73.bin
/lib/firmware/RTL8192E
/lib/firmware/rtl_bt
/lib/firmware/rtl_nic
/lib/firmware/rtlwifi
/lib/firmware/s2250*.fw
/lib/firmware/s5p-mfc.fw
/lib/firmware/s5p-mfc-v6.fw
/lib/firmware/s5p-mfc-v6-v2.fw
/lib/firmware/s5p-mfc-v7.fw
/lib/firmware/s5p-mfc-v8.fw
/lib/firmware/sb16/alaw_main.csp
/lib/firmware/sb16/ima_adpcm_capture.csp
/lib/firmware/sb16/ima_adpcm_init.csp
/lib/firmware/sb16/ima_adpcm_playback.csp
/lib/firmware/sb16/mulaw_main.csp
/lib/firmware/sdd_sagrad_*.bin
/lib/firmware/slicoss
/lib/firmware/sms1xxx-*.fw
/lib/firmware/sun
/lib/firmware/sxg
/lib/firmware/tdmb_nova_12mhz.inp
/lib/firmware/tehuti
/lib/firmware/ti_3410.fw
/lib/firmware/ti_5052.fw
/lib/firmware/tigon
/lib/firmware/ti-keystone
/lib/firmware/tlg2300_firmware.bin
/lib/firmware/tr_smctr.bin
/lib/firmware/ttusb-budget
/lib/firmware/ueagle-atm
/lib/firmware/usbdux*_firmware.bin
/lib/firmware/v4l-cx*.fw
/lib/firmware/vicam
/lib/firmware/vntwusb.fw
/lib/firmware/vpu_d.bin
/lib/firmware/vpu_p.bin
/lib/firmware/vxge
/lib/firmware/whiteheat*.fw
/lib/firmware/wil6210.brd
/lib/firmware/wil6210.fw
/lib/firmware/wsm_22.bin
/lib/firmware/yam
/lib/firmware/yamaha/ds1_ctrl.fw
/lib/firmware/yamaha/ds1_dsp.fw
/lib/firmware/yamaha/ds1e_ctrl.fw
/lib/firmware/yamaha/yss225_registers.bin

%files -n amd-gpu-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENSE.amdgpu LICENSE.radeon
/lib/firmware/amdgpu
/lib/firmware/r128
/lib/firmware/radeon

%files -n atheros-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.atheros_firmware
/lib/firmware/ar3k
/lib/firmware/ar5523.bin
/lib/firmware/ar7010*.fw
/lib/firmware/ar9170-*.fw
/lib/firmware/ar9271.fw
/lib/firmware/ath10k
/lib/firmware/ath3k-1.fw
/lib/firmware/ath6k
/lib/firmware/ath9k_htc

%files -n bnx2-firmware
%defattr(644,root,root,755)
%doc WHENCE
/lib/firmware/bnx2

%files -n bnx2x-firmware
%defattr(644,root,root,755)
%doc WHENCE
/lib/firmware/bnx2x
/lib/firmware/bnx2x-e1-*.fw
/lib/firmware/bnx2x-e1h-*.fw

%files -n brcm-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.broadcom_bcm43xx
/lib/firmware/brcm

%files -n cavium-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.cavium
/lib/firmware/cavium
/lib/firmware/liquidio

%files -n chelsio-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.chelsio_firmware
/lib/firmware/cxgb3
/lib/firmware/cxgb4

%files -n intel-sound-firmware
%defattr(644,root,root,755)
%doc WHENCE
%dir /lib/firmware/intel
/lib/firmware/intel/IntcSST2.bin
/lib/firmware/intel/dsp_fw_*
/lib/firmware/intel/fw_sst_*

%files -n intel-bluetooth-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.ibt_firmware
%dir /lib/firmware/intel
/lib/firmware/intel/ibt-*

%files -n iwl100-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-100-5.ucode

%files -n iwl105-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-105-*.ucode

%files -n iwl135-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-135-*.ucode

%files -n iwl1000-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-1000-*.ucode

%files -n iwl2000-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-2000-*.ucode

%files -n iwl2030-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-2030-*.ucode

%files -n iwl3160-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-3160-*.ucode
/lib/firmware/iwlwifi-3168-*.ucode

%files -n iwl3945-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-3945-*.ucode

%files -n iwl4965-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-4965-*.ucode

%files -n iwl5000-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-5000-*.ucode

%files -n iwl5150-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-5150-*.ucode

%files -n iwl6000-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-6000-*.ucode

%files -n iwl6000g2a-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-6000g2a-*.ucode

%files -n iwl6000g2b-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-6000g2b-*.ucode

%files -n iwl6050-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-6050-*.ucode

%files -n iwl7260-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-7260-*.ucode
/lib/firmware/iwlwifi-7265-*.ucode
/lib/firmware/iwlwifi-7265D-*.ucode

%files -n iwl8000C-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-8000C-*.ucode

%files -n iwl8265-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-8265-*.ucode

%files -n iwl9000-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-9000-*.ucode

%files -n iwl9260-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.iwlwifi_firmware
/lib/firmware/iwlwifi-9260-*.ucode

%files -n libertas-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.Marvell
/lib/firmware/lbtf_usb.bin
/lib/firmware/libertas
/lib/firmware/mrvl
/lib/firmware/mwl8k
/lib/firmware/mwlwifi

%files -n netronome-firmware
%defattr(644,root,root,755)
%doc WHENCE
/lib/firmware/netronome

%files -n nvidia-gpu-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.nvidia
/lib/firmware/nvidia

%files -n qlogic-firmware
%defattr(644,root,root,755)
%doc WHENCE LICENCE.qla1280 LICENCE.qla2xxx
/lib/firmware/cbfw-*.bin
/lib/firmware/ct2fw-*.bin
/lib/firmware/ctfw-*.bin
/lib/firmware/qed
/lib/firmware/qlogic
/lib/firmware/ql2100_fw.bin
/lib/firmware/ql2200_fw.bin
/lib/firmware/ql2300_fw.bin
/lib/firmware/ql2322_fw.bin
/lib/firmware/ql2400_fw.bin
/lib/firmware/ql2500_fw.bin

%files -n ti-connectivity-firmware
%defattr(644,root,root,755)
%doc WHENCE
/lib/firmware/ti-connectivity
